## com.baidubce.services.bmr.model
Class HBaseApplicationConfig

    java.lang.Object
      com.baidubce.services.bmr.model.ApplicationConfig
          com.baidubce.services.bmr.model.HBaseApplicationConfig

    public class HBaseApplicationConfig

extends ApplicationConfig

Represent an HBase application. An HBase application can be configured with properties about backup and restore.

Constructor Summary
`HBaseApplicationConfig()`

Method Summary
`HBaseApplicationConfig` `withBackupEnabled(boolean backupEnabled)` Configure the switch of HBase backup.
`HBaseApplicationConfig` `withBackupIntervalInMinutes(int minutes)` Configure the interval time for backup.
`HBaseApplicationConfig` `withBackupLocation(String backupLocation)` Configure the BOS path for HBase backup.
`HBaseApplicationConfig` `withBackupStartDatetime(String startDatetime)` Configure the start dateTime for backup.
`HBaseApplicationConfig` `withRestoreEnabled(boolean restoreEnabled)` Configure the switch of HBase restore.
`HBaseApplicationConfig` `withRestoreLocation(String restoreLocation)` Configure the BOS path for HBase restore.
`HBaseApplicationConfig` `withRestoreVersion(String restoreVersion)` Configure the version of backup files for HBase restore.
`HBaseApplicationConfig` `withVersion(String version)` Configure the version of HBase.

Methods inherited from class com.baidubce.services.bmr.model.ApplicationConfig
`addProperty, getName, getProperties, getVersion, setName, setProperties, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HBaseApplicationConfig

    public HBaseApplicationConfig()

Method Detail

### withVersion

    public HBaseApplicationConfig withVersion(String version)

  Configure the version of HBase. The reference version is as follows: image type | image version | hbase version supported hadoop | 0.1.0 | 0.98.0 hadoop | 0.1.0 | 0.98.0

  Parameters:
    `version` - The version of HBase.
  Returns:
    HBaseApplicationConfig

### withBackupEnabled

    public HBaseApplicationConfig withBackupEnabled(boolean backupEnabled)

  Configure the switch of HBase backup. If backup is enabled, then the properties of backup-location, backup-internal and backup start time should be set.

  Parameters:
    `backupEnabled` - The switch of backup. Turn it on by setting true.
  Returns:
    HBaseApplicationConfig

### withBackupLocation

    public HBaseApplicationConfig withBackupLocation(String backupLocation)

  Configure the BOS path for HBase backup. This property must be set if the backupEnabled is set true.

  Parameters:
    `backupLocation` - The BOS path for backup.
  Returns:
    HBaseApplicationConfig

### withBackupIntervalInMinutes

    public HBaseApplicationConfig withBackupIntervalInMinutes(int minutes)

  Configure the interval time for backup. This property must be set if the backupEnabled is set true.

  Parameters:
    `minutes` - The number of minutes for backup interval time.
  Returns:
    HBaseApplicationConfig

### withBackupStartDatetime

    public HBaseApplicationConfig withBackupStartDatetime(String startDatetime)

  Configure the start dateTime for backup. This property must be set if the backupEnabled is set true.

  Parameters:
    `startDatetime` - The start date time for HBase backup.
  Returns:
    HBaseApplicationConfig

### withRestoreEnabled

    public HBaseApplicationConfig withRestoreEnabled(boolean restoreEnabled)

  Configure the switch of HBase restore. If HBase restore is enabled, then the HBase of the newly cluster will restore from the configured restore location. If restore is not enabled, then the HBase will be a purely new one.

  Parameters:
    `restoreEnabled` - The switch of restore. Turn it on by setting true.
  Returns:
    HBaseApplicationConfig

### withRestoreLocation

    public HBaseApplicationConfig withRestoreLocation(String restoreLocation)

  Configure the BOS path for HBase restore. This property must be set if the restoreEnabled is set true.

  Parameters:
    `restoreLocation` - The BOS path for restore.
  Returns:
    HBaseApplicationConfig

### withRestoreVersion

    public HBaseApplicationConfig withRestoreVersion(String restoreVersion)

  Configure the version of backup files for HBase restore. This property must be set if the restoreEnabled is set true.

  Parameters:
    `restoreVersion` - The version of HBase backup files.
  Returns:
    HBaseApplicationConfig

Copyright © 2016. All rights reserved.